# $Revision: 1.16 $, $Date: 2008/07/27 22:51:00 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Ctr
Summary:	Crypt::Ctr Perl module - encrypt data in Counter Mode
Summary(pl.UTF-8):	Moduł Perla Crypt::Ctr - szyfrujący dane w trybie licznika
Name:		perl-Crypt-Ctr
Version:	0.01
Release:	5
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2f5e1192078827c1425ae2d9e527211b
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Crypt-CFB
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Generic Counter Mode implementation in pure Perl. The Counter Mode
module constructs a stream cipher from a block cipher or cryptographic
hash funtion and returns it as an object. Any block cipher in the
Crypt:: class can be used, as long as it supports the blocksize and
keysize methods. Any hash function in the Digest:: class can be used,
as long as it supports the add method.

%description -l pl.UTF-8
Implementacja ogólnego trybu licznika (Generic Counter Mode) w czystym
Perlu. Moduł ten tworzy strumieniowy szyfr z blokowego szyfru lub
kryptograficznej funkcji mieszającej i zwraca go jako obiekt. Może być
wykorzystany dowolny szyfr blokowy z klasy Crypt::, o ile tylko
obsługuje metody blocksize i keysize. Może być użyta dowolna funkcja
mieszająca z klasy Digest::, o ile tylko obsługuje metodę add.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Crypt/Ctr.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Ctr.spec,v $
Revision 1.16  2008/07/27 22:51:00  arekm
- release 5

Revision 1.15  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.13  2004/11/03 22:30:12  paladine
- formatting

Revision 1.12  2004/08/28 11:59:08  radek
- release 4

Revision 1.11  2004/06/05 18:10:34  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.10  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.9  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.8  2003/08/18 08:08:35  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 18:46:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:42  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:28:45  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/28 22:18:02  qboosh
- new

